;  pForthRes.asm
; Fri Apr 29, 1988 09:47:46 v 0.4
; Mon May 27, 1991 15:53:35 update resources for 0.4.1
; Thu Jan 23, 1992 20:19:00 update resources for 0.5.2
; Sun Apr 12, 1992 23:58:00 update resources for 0.6
; Fri Jan 22, 1993 20:16:00 update resources for 0.6.2
; Thu Mar 04, 1993 19:57:00 change window position for Frontier window
; Wed Mar 24, 1993 23:11:00 new version experiments

; Version identification resource
.ALIGN	2
RESOURCE	'p4TH'	0 '' 32
	DC.B	37,'Pocket Forth  0.6.3',13,'7/4/93  C.Heilman'

; the WIND resource
.ALIGN	2
RESOURCE 	'WIND' 128  'PocketForth'	32 ; purgable
	DC.W	62,2,240,386	; t,l,b,r
	DC.W	4		; no grow doc proc wo/zoom
	DC.W	0		; invisible
	DC.W	$100		; closable
	DC.L	0
	DC.B	12,'Pocket Forth'

; MenuBar Resources

.ALIGN 2
RESOURCE	'MENU'	1	'Apple Menu'
	DC.W	1	; Menu ID
	DC.W	0	; Width holder
	DC.W	0	; Height
	DC.L	0	; ID holder for std menu
	DC.L	$FFFFFFFB
	DC.B	1	; Title length
	DC.B	20	; Apple symbol
	
	DC.B	19,'About Pocket Forth'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking character
	DC.B	0	; style

	DC.B	1	; About length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking character
	DC.B	0	; style
	
	DC.B	0	; End of this menu item
	
.ALIGN 2
RESOURCE	'MENU'	2	'File Menu'
	DC.W	2	; Menu ID
	DC.W	0	; Width holder
	DC.W	0	; Height
	DC.L	0	; ID holder for std menu
	DC.L	$15B	; Enable 
	DC.B	4	; Title length
	DC.B	'File'
	
	DC.B	5	; Item text length
	DC.B	'Open'
	DC.B	0	; no icon
	DC.B	'O'	; control oh (that's the letter)
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	16	; Item text length
	DC.B	'Save Dictionary'
	DC.B	0	; no icon
	DC.B	'S'	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	9	; Item text length
	DC.B	'Debugger'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	6	; Item text length
	DC.B	'Print'
	DC.B	0	; no icon
	DC.B	'P'	; control P
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	4	; Item text length
	DC.B	'Quit'
	DC.B	0	; no icon
	DC.B	'Q'	; control Q
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	0	; End of this menu item

.ALIGN 2
RESOURCE	'MENU'	3	'Edit Menu'
	DC.W	3	; Menu ID
	DC.W	0	; Width holder
	DC.W	0	; Height
	DC.L	0	; ID holder for std menu
	DC.L	$7B	; enable flags
	DC.B	4	; Title length
	DC.B	'Edit'
	
	DC.B	4	; Item text length
	DC.B	'Undo'
	DC.B	0	; no icon
	DC.B	'Z'	; control Z
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	3	; Item text length
	DC.B	'Cut'
	DC.B	0	; no icon
	DC.B	'X'	; control ecks
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	4	; Item text length
	DC.B	'Copy'
	DC.B	0	; no icon
	DC.B	'C'	; control C
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	5	; Item text length
	DC.B	'Paste'
	DC.B	0	; no icon
	DC.B	'V'	; control V
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	5	; Item text length
	DC.B	'Clear'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	0	; End of Edit Menu

; b&w icon resource
	
.ALIGN	2
RESOURCE	'BNDL'	128 '' 32
	DC.L	'p4TH'		; signature
	DC.W	0		; resource id of sig.
	DC.W	1		; number of resource types -1

	DC.L	'FREF'
	DC.W	1		; number of mappings -1
	DC.W	0,128		; map 0 to fref 128
	DC.W	1,129		; map 1 to fref 129
	
	DC.L	'ICN#'
	DC.W	1		; number of mappings -1
	DC.W	0,128		; map 0 to icon 128
	DC.W	1,0		; map 1 to icon 0
	
.ALIGN	2
RESOURCE	'FREF'	128 '' 32
	DC.B	'APPL',0,0,0

RESOURCE	'FREF'	129 '' 32
	DC.B	'TEXT',0,1,0

.ALIGN 2
RESOURCE	'ICN#' 	128 ' ' 32
	; icon
	DC.L	$00007F80,$0001FFF0,$00033FF8,$00031FFC
	DC.L	$00001FFE,$00001FFE,$00001FFF,$00FC3FFF
	DC.L	$0F0223FF,$300221FF,$400238FF,$400254FF
	DC.L	$818258FF,$8342803F,$8302407E,$8781383E
	DC.L	$8301303C,$83012038,$87811E38,$8001017C
	DC.L	$800100C2,$80010080,$AAA90130,$95520078
	DC.L	$80020048,$EFFA0048,$380600FC,$800007EF
	DC.L	$10000FFE,$02000FF0,$004B7FC0,$00000000
	; mask
	DC.L	$00007F80,$0001FFF0,$00033FF8,$00031FFC
	DC.L	$00001FFE,$00001FFE,$00001FFF,$00FC3FFF
	DC.L	$0FFE3FFF,$3FFE3FFF,$7FFE3FFF,$7FFE7FFF
	DC.L	$FFFE7FFF,$FFFEFFFF,$FFFE7FFE,$FFFF3FFE
	DC.L	$FFFF3FFC,$FFFF3FF8,$FFFF1FF8,$FFFF01FC
	DC.L	$FFFF00C2,$FFFF0080,$FFFF0130,$FFFE0078
	DC.L	$FFFE0078,$FFFE0078,$380600FC,$800007FF
	DC.L	$10000FFE,$02000FF0,$004B7FC0,$00000000

.ALIGN 2
RESOURCE	'ICON'	128 ' ' 32
	DC.W	$0000,$001E,$0000,$007B,$0000,$00F3,$0000,$3DF0
	DC.W	$0000,$FFF8,$0000,$9FF8,$0000,$0FFC,$00FF,$187C
	DC.W	$0F01,$1BBE,$7001,$14CE,$8001,$0327,$8000,$8721
	DC.W	$8000,$89C1,$8000,$9080,$8000,$9E00,$8000,$8118
	DC.W	$8000,$80E0,$8000,$8041,$8000,$803E,$8000,$4000
	DC.W	$8000,$4000,$8000,$4000,$8000,$4000,$9554,$C0C0
	DC.W	$AAA9,$01E0,$8001,$0120,$EFFD,$0120,$3803,$03F0
	DC.W	$8000,$1F9C,$1000,$3FF8,$0200,$3FC0,$0049,$7F00

.ALIGN	2
RESOURCE	'cicn'	128 ' ' 32
	DC.W	$0000,$0000,$8010,$0000,$0000,$0020,$0020,$0000
	DC.W	$0000,$0000,$0000,$0048,$0000,$0048,$0000,$0000
	DC.W	$0004,$0001,$0004,$0000,$0000,$0000,$0000,$0000
	DC.W	$0000,$0000,$0000,$0004,$0000,$0000,$0020,$0020
	DC.W	$0000,$0000,$0004,$0000,$0000,$0020,$0020,$0000
	DC.W	$0000,$0000,$001E,$0000,$007B,$0000,$00F3,$0000
	DC.W	$3DF0,$0000,$FFF8,$0000,$9FF8,$0000,$0FFC,$00FF
	DC.W	$1FFC,$0FFF,$1FFE,$7FFF,$17FE,$FFFF,$03FF,$FFFF
	DC.W	$87FF,$FFFF,$8FFF,$FFFF,$9FFF,$FFFF,$9FFF,$FFFF
	DC.W	$81FF,$FFFF,$80FF,$FFFF,$807F,$FFFF,$803E,$FFFF
	DC.W	$C000,$FFFF,$C000,$FFFF,$C000,$FFFF,$C000,$FFFF
	DC.W	$C0C0,$FFFF,$01E0,$FFFF,$01E0,$FFFF,$01E0,$3803
	DC.W	$03F0,$8000,$1FFC,$1000,$3FF8,$0200,$3FC0,$0049
	DC.W	$7F00,$0000,$001E,$0000,$007B,$0000,$00F3,$0000
	DC.W	$3DF0,$0000,$FFF8,$0000,$9FF8,$0000,$0FFC,$00FF
	DC.W	$187C,$0F01,$1BBE,$7001,$14CE,$8001,$0327,$8000
	DC.W	$8721,$8000,$89C1,$8000,$9080,$8000,$9E00,$8000
	DC.W	$8118,$8000,$80E0,$8000,$8041,$8000,$803E,$8000
	DC.W	$4000,$8000,$4000,$8000,$4000,$8000,$4000,$9554
	DC.W	$C0C0,$AAA9,$01E0,$8001,$0120,$EFFD,$0120,$3803
	DC.W	$03F0,$8000,$1F9C,$1000,$3FF8,$0200,$3FC0,$0049
	DC.W	$7F00,$0000,$0000,$0000,$000D,$0000,$FFFF,$FFFF
	DC.W	$FFFF,$0001,$FFFF,$FFFF,$CCCC,$0002,$FFFF,$CCCC
	DC.W	$9999,$0003,$CCCC,$9999,$6666,$0004,$3333,$6666
	DC.W	$6666,$0005,$3333,$3333,$6666,$0006,$DDDD,$DDDD
	DC.W	$DDDD,$0007,$8888,$8888,$8888,$0008,$7777,$7777
	DC.W	$7777,$0009,$5555,$5555,$5555,$000A,$2222,$2222
	DC.W	$2222,$000B,$FFFF,$FFFF,$0000,$000C,$DDDD,$0000
	DC.W	$0000,$000F,$0000,$0000,$0000,$0000,$0000,$0000
	DC.W	$0000,$0000,$0000,$0005,$5550,$0000,$0000,$0000
	DC.W	$0000,$0000,$0000,$0555,$5055,$0000,$0000,$0000
	DC.W	$0000,$0000,$0000,$5555,$0055,$0000,$0000,$0000
	DC.W	$0000,$0055,$5505,$5555,$0000,$0000,$0000,$0000
	DC.W	$0000,$5555,$5555,$5555,$5000,$0000,$0000,$0000
	DC.W	$0000,$5005,$5555,$5555,$5000,$0000,$0000,$0000
	DC.W	$0000,$0000,$5555,$5555,$5500,$0000,$0000,$FFFF
	DC.W	$FFFF,$0005,$5111,$1555,$5500,$0000,$FFFF,$1111
	DC.W	$111F,$0005,$51FF,$F155,$5550,$0FFF,$1111,$1222
	DC.W	$223F,$0005,$0F00,$3311,$5550,$F111,$1222,$2222
	DC.W	$223F,$0000,$0044,$0031,$1555,$F122,$2222,$2222
	DC.W	$2223,$F000,$0FF4,$00C1,$1115,$F122,$2222,$2222
	DC.W	$2223,$F000,$F11F,$FC11,$1115,$F122,$2222,$2222
	DC.W	$2223,$F00F,$1111,$F122,$2211,$F122,$2222,$2222
	DC.W	$2223,$F00F,$FFF1,$1222,$2222,$F122,$2222,$2222
	DC.W	$2223,$F000,$000F,$222F,$F222,$F122,$2222,$2222
	DC.W	$2223,$F000,$0000,$FFF2,$2222,$F122,$2222,$2222
	DC.W	$2223,$F000,$0000,$0F22,$222F,$F122,$2222,$2222
	DC.W	$2223,$F000,$0000,$00FF,$FFF0,$F122,$2222,$2222
	DC.W	$2222,$3F00,$0000,$0000,$0000,$F122,$2222,$2222
	DC.W	$2222,$3F00,$0000,$0000,$0000,$F122,$2222,$2222
	DC.W	$2222,$3F00,$0000,$0000,$0000,$F122,$2222,$2222
	DC.W	$2223,$3F00,$0000,$0000,$0000,$F177,$7777,$7777
	DC.W	$7733,$FF00,$0000,$9700,$0000,$F177,$7777,$7777
	DC.W	$773F,$0000,$0009,$9970,$0000,$F133,$3333,$3333
	DC.W	$333F,$0000,$0009,$6690,$0000,$FFF3,$FFFF,$FFFF
	DC.W	$FF3F,$0000,$0007,$6690,$0000,$00FF,$F000,$0000
	DC.W	$00FF,$0000,$00F7,$9999,$0000,$F000,$0000,$0000
	DC.W	$0000,$000F,$7779,$9BCF,$9F00,$000F,$0000,$0000
	DC.W	$0000,$00F7,$8989,$99A9,$F000,$0000,$00F0,$0000
	DC.W	$0000,$0099,$9999,$9F00,$0000,$0000,$0000,$0F00
	DC.W	$F00F,$0FFF,$FFFF,$0000,$0000

; alert resources

.ALIGN	2
RESOURCE	'ALRT'	257	'About'
	DC.W	50,50,188,242	; t,l,b,r
	DC.W	257		; DITL ID number
	DC.W	$4444		; Stages ($4444 = just display)
	DC.W	$A80A		; autoposition center parent

.ALIGN	2
RESOURCE	'DITL'	257	'About'
	DC.W	3		; Number of items -1
	
	; Item number 1: the userItem 'button'
	DC.L	0		; handle holder
	DC.W	0,0,144,210	; t,l,b,r
	DC.B	0		; useritem
	DC.B	0

	; Item number 2: the info. pict
	DC.L	0		; handle holder
	DC.W	29,16,123,179	; t,l,b,r
	DC.B	$40,2		; disabled+pict,length of following field
	DC.W	128		; id of PICT resource

	; item number 3: the icon
	DC.L	0		; handle holder
	DC.W	12,140,44,172	; t,l,b,r
	DC.B	$A0,2		; disabled+pict,length of following field
	DC.W	128		; id of PICT resource

	; Item number 4: the hdlg
	DC.L	0		; handle holder
	DC.W	$FFFE,$FFFE,$FFFE,$FFFE	; off screen rect
	DC.B	$81,4
	DC.W	1,257		; helpItem,id of hdlg

.ALIGN	2
RESOURCE	'ALRT'	258	'RedAlert'
	DC.W	170,15,265,325	; t,l,b,r
	DC.W	258		; DITL ID number
	DC.W	$4444		; Stages
	DC.W	$B00A		; autoposition alert parent

.ALIGN	2
RESOURCE	'DITL'	258	'RedAlert'
	DC.W	1		; Number of items -1

	; Item number 1
	DC.L	0		; handle holder
	DC.W	61,120,83,195	; t,l,b,r
	DC.B	4		; type
	DC.B	2,'Ok'

	; Item number 2
	DC.L	0		; handle holder
	DC.W	19,70,57,295	; t,l,b,r
	DC.B	136		; type
	DC.B	58,'An error occured, and the '
	DC.B	'dictionary was not (re)entered. '

.ALIGN	2
RESOURCE	'ALRT'	259	'SaveAlert'
	DC.W	82,94,202,350	; t,l,b,r
	DC.W	259		; DITL ID number
	DC.W	$4444		; Stages
	DC.W	$B00A		; autoposition alert parent

.ALIGN	2
RESOURCE	'DITL'	259	'SaveAlert'
	DC.W	3		; Number of items -1

	; Item number 1
	DC.L	0		; handle holder
	DC.W	$51,$99,$65,$d3	; t,l,b,r
	DC.B	4		; type
	DC.B	2,'Ok'

	; Item number 2
	DC.L	0		; handle holder
	DC.W	$51,$35,$65,$6f	; t,l,b,r
	DC.B	4		; type
	DC.B	6,'Cancel'

	; Item number 3
	DC.L	0		; handle holder
	DC.W	$11,$1b,$45,$f3	; t,l,b,r
	DC.B	$88		; type
	DC.B	83,'Please confirm your choice to replace the '
	DC.B	'current dictionary with the memory image.'

	; Item number 4: the hdlg
	DC.L	0		; handle holder
	DC.W	$FFFE,$FFFE,$FFFE,$FFFE	; off screen rect
	DC.B	$81,4
	DC.W	1,259		; helpItem,id of hdlg

.ALIGN	2
RESOURCE	'PICT'	128
	DC.W	$0160,$FFFF,$FFFF,$005D,$00A2,$1101,$A000,$82A1
	DC.W	$0096,$000C,$0100,$0000,$0200,$0000,$0000,$0000
	DC.W	$A100,$9A00,$08FF,$FC00,$0000,$3400,$0001,$000A
	DC.W	$0000,$0000,$0011,$006B,$2C00,$0B00,$0208,$4E65
	DC.W	$7720,$596F,$726B,$0300,$020D,$000C,$2E00,$0400
	DC.W	$0001,$002B,$010C,$0F43,$6872,$6973,$2048,$6569
	DC.W	$6C6D,$616E,$D573,$A000,$97A1,$0096,$000C,$0100
	DC.W	$0000,$0200,$0000,$0000,$0000,$A100,$9A00,$0800
	DC.W	$0200,$0000,$4D00,$0001,$000A,$002B,$0001,$0044
	DC.W	$009E,$0D00,$0A2B,$0129,$1841,$6C74,$6572,$6E61
	DC.W	$7469,$7665,$2070,$726F,$6772,$616D,$6D69,$6E67
	DC.W	$0D2A,$0C17,$6C61,$6E67,$7561,$6765,$2066,$6F72
	DC.W	$204D,$6163,$696E,$746F,$7368,$2EA0,$0097,$A100
	DC.W	$9600,$0C01,$0000,$0002,$0000,$0000,$0000,$00A1
	DC.W	$009A,$0008,$FFFC,$0000,$0043,$0000,$0100,$0A00
	DC.W	$5000,$0000,$5C00,$8928,$005A,$0001,$1B76,$6572
	DC.W	$7369,$6F6E,$2030,$2E36,$2E33,$2020,$2020,$2020
	DC.W	$2037,$2f34,$2f39,$3320,$A000,$97A1,$0096,$000C
	DC.W	$0100,$0000,$0200,$0000,$0000,$0000,$A100,$9A00
	DC.W	$08FF,$F900,$0000,$4F00,$0001,$000A,$0010,$0000
	DC.W	$002D,$00A1,$0D00,$1828,$0025,$0001,$0C50,$6F63
	DC.W	$6B65,$7420,$466F,$7274,$68A0,$0097,$A000,$83FF

.ALIGN 2
RESOURCE	'SIZE'	$FFFF
	DC.W	%0101100011000000	; $58C0	
	DC.L	$00020000
	DC.L	$00010000

INCLUDE	System7Resources.txt	; color icons and balloon help

	END
